from functions import generate_response
from pydantic import BaseModel
from fastapi import FastAPI
app = FastAPI()
class InputData(BaseModel):
    input_str: str

@app.post("/generate/")
async def create_response(data: InputData):
    response = await generate_response(data.input_str)
    return {"response": response}

if __name__ == "__main__":
    import uvicorn
    uvicorn.run(app, host="127.0.0.1", port=8111)

