import requests

def generate_response_client(input_str: str):
    url = "http://127.0.0.1:8111/generate/"
    data = {"input_str": input_str}
    
    response = requests.post(url, json=data)
    
    if response.status_code == 200:
        return response.json()
    else:
        return f"请求失败，状态码: {response.status_code}"

if __name__ == "__main__":
    input_str = input_str = """👉购买平台：微商城
👉订单号：4686380000181191
👉款号：1C8L6E55005WL0073
👉发货时间：2024-10-30 11:15:52                 
👉签收时间：2024-10-31 13:48:40                    
👉发货店铺：深圳君尚中航城 @宋丹丹 Stephanie Song-深圳  
👉反馈：口袋有异物 @邹湖英  """
    response = generate_response_client(input_str)
    print( response)
